Package serp.bytecode

# Class Annotated

java.lang.Object
serp.bytecode.Attributes
serp.bytecode.Annotated

All Implemented Interfaces:
  `BCEntity`

Direct Known Subclasses:
  `BCClass`, `BCMember`

public abstract class Annotated extends Attributes
An annotated entity.

Author:
  Abe White

## Constructor Summary

Constructors
Constructor
Description
`Annotated()`

## Method Summary

Modifier and Type
Method
Description
`Annotations`
`getDeclaredAnnotations(boolean add)`
Return runtime invisible annotation information for the entity.
`Annotations`
`getDeclaredRuntimeAnnotations(boolean add)`
Return runtime visible annotation information for the entity.
`boolean`
`removeDeclaredAnnotations()`
Remove the runtime invisible annotations attribute for the entity.
`boolean`
`removeDeclaredRuntimeAnnotations()`
Remove the runtime visible annotations attribute for the entity.

### Methods inherited from class serp.bytecode.Attributes

`addAttribute, addAttribute, clearAttributes, getAttribute, getAttributes, getAttributes, removeAttribute, removeAttribute, setAttributes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface serp.bytecode.BCEntity

`getClassLoader, getPool, getProject, isValid`

## Constructor Details

### Annotated

public Annotated()

## Method Details

### getDeclaredAnnotations

public Annotations getDeclaredAnnotations(boolean add)
Return runtime invisible annotation information for the entity. Acts internally through the `Attributes` interface.

Parameters:
  `add` - if true, a new annotations attribute will be added if not already present
Returns:
  the annotation information, or null if none and the `add` param is set to false

### removeDeclaredAnnotations

public boolean removeDeclaredAnnotations()
Remove the runtime invisible annotations attribute for the entity. Acts internally through the `Attributes` interface.

Returns:
  true if there was an attribute to remove

### getDeclaredRuntimeAnnotations

public Annotations getDeclaredRuntimeAnnotations(boolean add)
Return runtime visible annotation information for the entity. Acts internally through the `Attributes` interface.

Parameters:
  `add` - if true, a new runtime annotations attribute will be added if not already present
Returns:
  the annotation information, or null if none and the `add` param is set to false

### removeDeclaredRuntimeAnnotations

public boolean removeDeclaredRuntimeAnnotations()
Remove the runtime visible annotations attribute for the entity. Acts internally through the `Attributes` interface.

Returns:
  true if there was an attribute to remove